# $Revision: 1.25 $, $Date: 2009/01/07 00:34:33 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	XSLT
%define		_pearname	%{_class}_%{_subclass}_Wrapper

Summary:	%{_pearname} - single interface to the different XSLT interface or commands
Summary(pl.UTF-8):	%{_pearname} - jeden interfejs do różnych interfejsów i komend XSLT
Name:		php-pear-%{_pearname}
Version:	0.2.2
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	25e0ee88b56ea4eb87c709c5777b0d7a
URL:		http://pear.php.net/package/XML_XSLT_Wrapper/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package was written to provide a simpler, cross-library and cross
commands interface to doing XSL transformations. It provides support
for: DOM XSLT PHP extension, XSLT PHP extension, MSXML using COM PHP
extension, XT command line
(http://www.blnz.com/xt/xt-20020426a-src/index.html), Sablotron
command line
(http://www.gingerall.com/charlie/ga/act/gadoc.act?pg=sablot#i__1940),
XT java interface, xml.apache.org java and C interface
(http://xml.apache.org/), Instant Saxon
(http://users.iclway.co.uk/mhkay/saxon/instant.html). Batch mode: XML:
multiple transformations of a single XML file, XSL: multiple
transformations of multiple XML files using a single XSL.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet został napisany, by zapewnić prosty interfejs do
wykonywania transformacji XSL przy użyciu różnych bibliotek i poleceń.
Ma obsługę: rozszerzenia PHP DOM XSLT, rozszerzenia PHP XSLT, MSXML
przy użyciu rozszerzenia PHP COM, linii poleceń XT
(http://www.blnz.com/xt/xt-20020426a-src/index.html), linii poleceń
Sablotrona
(http://www.gingerall.com/charlie/ga/act/gadoc.act?pg=sablot#i__1940),
interfejsu Javy XT, interfejsu Javy i C xml.apache.org
(http://xml.apache.org/), Instant Saxon
(http://users.iclway.co.uk/mhkay/saxon/instant.html). Tryb wsadowy dla
XML-a: wiele transformacji jednego pliku XML; dla XSL-a: wiele
transformacji wielu plików XML przy użyciu jednego XSL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Wrapper
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/Wrapper/Backend/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_XSLT_Wrapper.spec,v $
Revision 1.25  2009/01/07 00:34:33  adamg
- updated to 0.2.2

Revision 1.24  2008-01-31 12:17:20  glen
- rel 5

Revision 1.23  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/10/05 20:59:32  glen
- rel 3

Revision 1.17  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.16  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/10/30 07:07:26  paladine
- unifications

Revision 1.14  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.12  2004/02/24 01:11:56  ankry
- pl fixes, cosmetics

Revision 1.11  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.9  2003/07/26 19:40:20  adamg
- updated to 0.21 (fixed archive file)
- added status information
- removed obsolete -pathfix patch

Revision 1.8  2003/06/22 20:08:25  adamg
- back to 0.1, version 0.2 is somehow broken (archive file is corrupted)

Revision 1.7  2003/05/28 10:50:33  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:51  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/10/14 23:53:27  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.3  2002/10/11 16:35:12  misto
- path fixed in include statement
- release 3

Revision 1.2  2002/10/11 12:51:23  qboosh
- pl description, release 2

Revision 1.1  2002/10/10 15:52:41  blues
- initial release - STBR
